Webhooks
Update webhook subscription
Updates a webhook subscription for the provided application ID
PATCH
/
api
/
v1
/
webhooks
/
subscriptions
Update webhook subscription
curl --request PATCH \
--url https://public-api.prd.monument.io/api/v1/webhooks/subscriptions \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"eventTypes": [
"moved-in",
"moved_out"
],
"description": "webhook",
"facilityUuids": [],
"amenityUuids": [],
"unitTypes": []
}
'import requests
url = "https://public-api.prd.monument.io/api/v1/webhooks/subscriptions"
payload = {
"eventTypes": ["moved-in", "moved_out"],
"description": "webhook",
"facilityUuids": [],
"amenityUuids": [],
"unitTypes": []
}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
eventTypes: ['moved-in', 'moved_out'],
description: 'webhook',
facilityUuids: [],
amenityUuids: [],
unitTypes: []
})
};
fetch('https://public-api.prd.monument.io/api/v1/webhooks/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"applicationId": "app_1234567890",
"url": "https://vendor.example.com/webhooks/monument",
"subscribedEventTypes": [
"move_in",
"move_out"
],
"facilityUuids": [],
"amenityUuids": [],
"unitTypes": [],
"databasePrefix": ""
}Headers
Api key required to authenticate your request. Please reach out to monument for a key.
Example:
"monument-2230012-2312321"
Path Parameters
Body
application/json
Response
Successfully updated webhook subscription
Svix application ID
Example:
"app_1234567890"
Webhook URL
Example:
"https://vendor.example.com/webhooks/monument"
Subscribed event types
Example:
["move_in", "move_out"]
Facility UUIDs
Example:
[]
Amenity UUIDs
Example:
[]
Unit type UUIDs
Example:
[]
Database prefix
Example:
""
⌘I
Update webhook subscription

